html{
  overflow: hidden;
}
html, body {
	position: relative;
	width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    color: #333;
    font-family: "IBM Plex Sans", sans-serif;
}

@keyframes slideInFromLeft {
  0% {
    transform: translateX(-30px);
    scale: 0.5;
  }
  100% {
    transform: translateX(0);
    scale: 1;
  }
}

.slideInFromLeft{
    animation: 1s ease-out 0s 1 slideInFromLeft;
}
@keyframes fadeIn {
  0%   { opacity: 0; }
  100% { opacity: 1;}
}
@keyframes scaleUp {
  0%   { transform: scale(0.95); }
  100% { transform: scale(1.0); }
}

.fadeIn{
    animation: 0.5s ease-out 0s 1 fadeIn;
}

.scaleUp {
 animation: 0.2s ease-out 0.8s 1 scaleUp;
}
.fullPage{
  display: flex;
  flex-direction: column;
  height: 100%;
}

.content-auth{
  flex:1
}

/* .select2-dropdown {
  z-index: 3000000 !important; 
} */
  
.parsley-errors-select-custom .select2-selection {
  border-color: #dc3545 !important;
}

/* Common CSS */
.pointer {
  cursor: pointer;
}

.required-field{
  color : red
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

input[type=select-one] {
    -moz-appearance: textfield;
}

/* ###### 4.6 Parsley ###### */
input.parsley-error, input.parsley-error:focus,
textarea.parsley-error,
textarea.parsley-error:focus {
  box-shadow: none !important;
  border-color: #dc3545; }

input.parsley-success, input.parsley-success:focus,
textarea.parsley-success,
textarea.parsley-success:focus {
  box-shadow: none !important;
  border-color: #10b759; }

.parsley-checkbox.parsley-error, .parsley-checkbox.parsley-success {
  display: inline-block;
  padding: 10px;
  border-radius: 0.25rem; }

.parsley-checkbox.parsley-error {
  border: 1px solid #dc3545; }

.parsley-checkbox.parsley-success {
  border: 1px solid #10b759; }

.custom-select.parsley-error, .custom-select.parsley-success {
  box-shadow: none !important; }

.custom-select.parsley-error {
  border-color: #dc3545; }

.custom-select.parsley-success {
  border-color: #10b759; }

  
.parsley-errors-select-custom .select2-selection {
  border-color: #dc3545 !important;
}

.parsley-errors-list {
  color: #dc3545;
  list-style: none;
  font-size: 12px;
  padding: 0;
  margin-bottom: -12px;
   }
  .parsley-errors-list li {
    margin: 5px 0 0; }


.selectize-control.multi .selectize-input>div {
    margin: 1px 5px 3px 0 !important;
    padding-left: 6px !important;
    padding-top: 3px !important;
    padding-bottom: 3px !important;
}

.selectize-control.plugin-remove_button [data-value] .remove{
  top: 2px !important;
}


.dropdown-file {
    top: 13px !important;
    right: 10px !important;
}

.colored-svg svg{
    stroke-width: 2.3px;
    color: rgba(27,46,75,0.65);
    fill: rgba(27,46,75,0.06);
}

.question-wiz .media{
  cursor: pointer !important;
}

.selectize-input {
    min-height: 38px !important;
}

.selectize-dropdown, .selectize-input, .selectize-input input{
  line-height: 24px !important;
}

.selectize-control.multi .selectize-input.has-items {
    padding: 6px 12px 2px;
}

.selectize-control.multi .selectize-input>div{
  line-height: 18px !important;
}

.has-error .selectize-input{
  border-color: #dc3545 !important;
}
/* .selectize-input>input{
  top:2px;
} */

/* .selectize-dropdown [data-selectable].option{
  color: #333;
} */

/* .selectize-input>input{
  height: 24px;
} */

.selectize-input>input::placeholder{
  color:#c0ccda;
}

.full-width{
margin: 0 -25px 20px -25px ;
}


.custom-menu {
    display: none;
    z-index: 1000;
    position: absolute;
    overflow: hidden;
    white-space: nowrap;
    font-family: sans-serif;
    position: absolute;
    top: 100%;
    float: left;
    min-width: 10rem;
    margin: .125rem 0 0;
    font-size: .875rem;
    color: #001737;
    text-align: left;
    list-style: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,0.15);
    border-radius: .25rem;
    left: auto;
    border-color: rgba(131,146,165,0.27);
    box-shadow: 0 0 8px 2px rgba(28,39,60,0.04);
    padding: 5px;

}

.custom-menu li {
    padding: 8px 12px;
    cursor: pointer;
}

.custom-menu li:hover {
    background-color: #DEF;
}

.selectize-control{
  display: flex !important;
}



.fieldset-label::before {
    content: attr(data-label);
    display: block;
    position: absolute;
    top: -6px;
    left: 5px;
    font-size: 8px;
    font-weight: 600;
    font-family: -apple-system, BlinkMacSystemFont, "Inter UI", Roboto, sans-serif;
    letter-spacing: 1px;
    text-transform: uppercase;
    background-color: inherit;
    color: #8392a5;
    padding: 0 5px;
}

.fieldset-label {
    padding: 20px;
}
.fieldset-label {
    font-size: 0.875rem;
    letter-spacing: normal;
    padding: 10px;
    background-color: #fff;
    border: 1px solid rgba(72, 94, 144, 0.16);
    position: relative;
}

.a-section{
  display: none;
}

.has-prepend-icon .selectize-input{
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
}

.has-append-icon .selectize-input{
      border-top-right-radius: 0;
      border-bottom-right-radius: 0;
}


.form-control:focus {
    color: #596882;
    background-color: #fff;
    border-color: none !important;
    outline: 0;
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.15) !important;
}


 .cke_editable_inline{
        min-height: 60px !important;
        flex: 1;
    }


     .spt-header .feather-search {
        color: #8392a5;
        align-self: center;
        width: 18px;
        stroke-width: 2.8px;
        margin-right: 10px;
        margin-top: -2px;
    }


    .cke_chrome{
      border: 1px solid #e5e9f2 !important;
      box-shadow:none !important;
    }
    .e-spt .cke_chrome {
      border: none !important;
    }

.op-row{
  display: none;
}
.showOp{
  display: flex;
}

 .question-display p{
        margin: 0;
    }



/*-------------------------
	File manager
-------------------------*/


.filemanager {
  position: relative;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  margin-top: 20px;
}

/* @media all and (max-width: 965px) {
	.filemanager {
		margin: 0 auto 0;
		padding: 1px;
	}
} */

/*-------------------------
	Content area
-------------------------*/

.filemanager .data.animated {
	-webkit-animation: showSlowlyElement 700ms; /* Chrome, Safari, Opera */
	animation: showSlowlyElement 700ms; /* Standard syntax */
}
.filemanager .data li {
	border-radius: 3px;
  border: 1px solid rgba(72,94,144,0.16);
  padding: 10px 12px;
  background-color: #fff;
	width: 307px;
	list-style-type: none;
	margin: 10px;
	display: flex;
	position: relative;
	z-index: 1;
	cursor: pointer;
	box-sizing: border-box;
	transition: 0.3s background-color;
}

.filemanager .data li:hover {
	background-color: #718198;

}

.filemanager .data li:hover .name {
	color: white !important;

}


.filemanager .data li a {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.filemanager .data li .name {
	color: #001737;
	font-size: 15px;
	line-height: 20px;
	width: 150px;
	/* white-space: nowrap; */
	display: inline-block;
	position: absolute;
	overflow: hidden;
	text-overflow: ellipsis;
	top: 40px;
}

.filemanager .data li .details {
    display: none;
	color: #b6c1c9;
	font-size: 13px;
	font-weight: 400;
	width: 55px;
	height: 10px;
	top: 64px;
	white-space: nowrap;
	position: absolute;
}

@media all and (max-width:965px) {

	.filemanager .data li {
		margin: 10px;
	}

}

/* Chrome, Safari, Opera */
@-webkit-keyframes showSlowlyElement {
	100%   	{ transform: scale(1); opacity: 1; }
	0% 		{ transform: scale(1.1); opacity: 0; }
}

/* Standard syntax */
@keyframes showSlowlyElement {
	100%   	{ transform: scale(1); opacity: 1; }
	0% 		{ transform: scale(1.1); opacity: 0; }
}


/*-------------------------
		Icons
-------------------------*/

.icon {
	font-size: 23px;
}
.icon.folder {
	display: inline-block;
	margin: 15px;
	background-color: transparent;
	overflow: hidden;
}
.icon.folder:before {
	content: '';
	float: left;
	background-color: #7ba1ad;

	width: 1.5em;
	height: 0.45em;

	margin-left: 0.07em;
	margin-bottom: -0.07em;

	border-top-left-radius: 0.1em;
	border-top-right-radius: 0.1em;

	box-shadow: 1.25em 0.25em 0 0em #7ba1ad;
}
.icon.folder:after {
	content: '';
	float: left;
	clear: left;

	background-color: #a0d4e4;
	width: 3em;
	height: 2.25em;

	border-radius: 0.1em;
}
.icon.folder.full:before {
	height: 0.55em;
}
.icon.folder.full:after {
	height: 2.15em;
	box-shadow: 0 -0.12em 0 0 #ffffff;
}

.icon.file:first-line {
	font-size: 13px;
	font-weight: 700;
}
.icon.file:after {
	content: '';
	position: absolute;
	z-index: -1;
	border-width: 0;
	border-bottom: 2.6em solid #DADDE1;
	border-right: 2.22em solid rgba(0, 0, 0, 0);
	top: -34.5px;
	right: -4px;
}

.icon.file.f-avi,
.icon.file.f-flv,
.icon.file.f-mkv,
.icon.file.f-mov,
.icon.file.f-mpeg,
.icon.file.f-mpg,
.icon.file.f-mp4,
.icon.file.f-m4v,
.icon.file.f-wmv {
	box-shadow: 1.74em -2.1em 0 0 #7e70ee inset;
}
.icon.file.f-avi:after,
.icon.file.f-flv:after,
.icon.file.f-mkv:after,
.icon.file.f-mov:after,
.icon.file.f-mpeg:after,
.icon.file.f-mpg:after,
.icon.file.f-mp4:after,
.icon.file.f-m4v:after,
.icon.file.f-wmv:after {
	border-bottom-color: #5649c1;
}

.icon.file.f-mp2,
.icon.file.f-mp3,
.icon.file.f-m3u,
.icon.file.f-wma,
.icon.file.f-xls,
.icon.file.f-xlsx {
	box-shadow: 1.74em -2.1em 0 0 #5bab6e inset;
}
.icon.file.f-mp2:after,
.icon.file.f-mp3:after,
.icon.file.f-m3u:after,
.icon.file.f-wma:after,
.icon.file.f-xls:after,
.icon.file.f-xlsx:after {
	border-bottom-color: #448353;
}

.icon.file.f-doc,
.icon.file.f-docx,
.icon.file.f-psd{
	box-shadow: 1.74em -2.1em 0 0 #03689b inset;
}

.icon.file.f-doc:after,
.icon.file.f-docx:after,
.icon.file.f-psd:after {
	border-bottom-color: #2980b9;
}

.icon.file.f-gif,
.icon.file.f-jpg,
.icon.file.f-jpeg,
.icon.file.f-pdf,
.icon.file.f-png {
	box-shadow: 1.74em -2.1em 0 0 #e15955 inset;
}
.icon.file.f-gif:after,
.icon.file.f-jpg:after,
.icon.file.f-jpeg:after,
.icon.file.f-pdf:after,
.icon.file.f-png:after {
	border-bottom-color: #c6393f;
}

.icon.file.f-deb,
.icon.file.f-dmg,
.icon.file.f-gz,
.icon.file.f-rar,
.icon.file.f-zip,
.icon.file.f-7z {
	box-shadow: 1.74em -2.1em 0 0 #867c75 inset;
}
.icon.file.f-deb:after,
.icon.file.f-dmg:after,
.icon.file.f-gz:after,
.icon.file.f-rar:after,
.icon.file.f-zip:after,
.icon.file.f-7z:after {
	border-bottom-color: #685f58;
}

.icon.file.f-rtf,
.icon.file.f-xml,
.icon.file.f-xhtml {
	box-shadow: 1.74em -2.1em 0 0 #a94bb7 inset;
}
.icon.file.f-rtf:after,
.icon.file.f-xml:after,
.icon.file.f-xhtml:after {
	border-bottom-color: #d65de8;
}

.icon.file.f-js {
	box-shadow: 1.74em -2.1em 0 0 #d0c54d inset;
}
.icon.file.f-js:after {
	border-bottom-color: #a69f4e;
}

.icon.file.f-css,
.icon.file.f-saas,
.icon.file.f-scss {
	box-shadow: 1.74em -2.1em 0 0 #44afa6 inset;
}
.icon.file.f-css:after,
.icon.file.f-saas:after,
.icon.file.f-scss:after {
	border-bottom-color: #30837c;
}

.filemanager>.data{
    list-style: none;
    padding: 0;
}

.qb-card {
  margin: 0 20px 20px 0;
  position: relative;
}
.qb-list{
  display: flex;
  width: 300px;
	border-radius: 3px;
  background-color: #fff;
  border: 1px solid rgba(72,94,144,0.16);
  cursor: pointer;
}

.qb-text{
  display: flex;
  align-items: center;
  padding: 0 20px;
}

.org-name-txt{
  color: #031d6b;
    text-transform: uppercase;
    font-size: larger;
    font-weight: bold;
}


  .nav-label{
    margin-top: 20px;
  }

.filemgr-sidebar-body {
    top: 0 !important;
  }

  .filemgr-content-body>div:first-child {
    max-width: 2140px !important;
  }

.tx-capitalize {
    text-transform: capitalize;
}


 /* replace checkbox icons */
    li.jstree-unchecked > a .jstree-checkbox, li.jstree-undetermined > a .jstree-checkbox 
    {
        background:url("/main/assets/js/uncheck.svg") 0px 0px no-repeat !important;
        width: 32px;
        height: 29px;
        padding-top: 5px;
    }
    li.jstree-checked > a .jstree-checkbox
    {
        background:url("/main/assets/js/check.svg") 0px 0px no-repeat !important;
        width: 32px;
        height: 29px;
        padding-top: 5px;
    }



      .ui-state-default{
        background: unset !important;
    }

    .calendar-inline .ui-datepicker .ui-datepicker-calendar td a:hover {
    background-color: #e5e9f2 !important;
}


/* .selectize-control.plugin-remove_button .remove-single {
    position: absolute;
    right: 23px !important;
    top: -3px !important;
    font-size: 19px !important;
}

.selectize-control.plugin-remove_button [data-value] {
    position: relative;
    padding-right: 24px !important;
    width: 100%;
} */

/* .calendar-content-body .fc-axis {
    font-size: 10px !important;
}

.fc-time-grid .fc-slats td {
    height: 0.5em !important;
    border-bottom: 0;
} */

.fc-cust-desc{
  display: flex;
  flex-wrap: wrap;
}

.batch-color-div{
   height: 15px;
  width: 20px;
  margin-right: 10px;
  border-radius: 4px;
}


.batch-sm-color-div{
  height: 7px;
  width: 7px;
  margin-right: 3px;
  margin-bottom: 3px;
  border-radius: 4px;
}


.batch-color-div.blue, .batch-sm-color-div.blue{
  background-color: var(--blue);
}

.batch-color-div.indigo, .batch-sm-color-div.indigo{
  background-color: var(--indigo);
}

.batch-color-div.purple, .batch-sm-color-div.purple{
  background-color: var(--purple);
}

.batch-color-div.pink, .batch-sm-color-div.pink{
  background-color: var(--pink);
}

.batch-color-div.red, .batch-sm-color-div.red{
  background-color: var(--red);
}

.batch-color-div.orange, .batch-sm-color-div.orange{
  background-color: var(--orange);
}
.batch-color-div.yellow, .batch-sm-color-div.yellow{
  background-color: var(--yellow);
}

.batch-color-div.green, .batch-sm-color-div.green{
  background-color: var(--green);
}

.batch-color-div.teal, .batch-sm-color-div.teal{
  background-color: var(--teal);
}

.batch-color-div.cyan, .batch-sm-color-div.cyan{
  background-color: var(--cyan);
}

.batch-color-div.white, .batch-sm-color-div.white{
  background-color: var(--white);
}
.batch-color-div.gray, .batch-sm-color-div.gray{
  background-color: var(--gray);
}

.batch-color-div.gray-dark, .batch-sm-color-div.gray-dark{
  background-color: var(--gray-dark);
}

.batch-color-div.primary, .batch-sm-color-div.primary{
  background-color: var(--primary);
}

.batch-color-div.secondary, .batch-sm-color-div.secondary{
  background-color: var(--secondary);
}

.batch-color-div.success, .batch-sm-color-div.success{
  background-color: var(--success);
}
.batch-color-div.info, .batch-sm-color-div.info{
  background-color: var(--info);
}

.batch-color-div.warning, .batch-sm-color-div.warning{
  background-color: var(--warning);
}

.batch-color-div.danger, .batch-sm-color-div.danger{
  background-color: var(--danger);
}

.batch-color-div.light, .batch-sm-color-div.light{
  background-color: var(--light);
}

.batch-color-div.dark, .batch-sm-color-div.dark{
  background-color: var(--dark);
}


.fc-time-grid .fc-event-container{
  position: unset !important;
}


.calendar-content-body .fc-time-grid-event {
    border-left-width: 1px !important;
    border-top-width: 3px !important;
}


.calendar-content-body .fc-agendaWeek-view .fc-time-grid-event>div .fc-desc{
  display: unset !important;
}